searchNodes=[{"doc":"Documentation for IsoLang . Provides utilities for dealing with ISO 639 languages. See Also https://en.wikipedia.org/wiki/IETF_language_tag https://tools.ietf.org/search/bcp47 https://datahub.io/core/language-codes#resource-language-codes-full","ref":"IsoLang.html","title":"IsoLang","type":"module"},{"doc":"Returns a list of all available ISO language codes.","ref":"IsoLang.html#all/1","title":"IsoLang.all/1","type":"function"},{"doc":"Callback implementation for Gettext.Backend.dgettext/3 .","ref":"IsoLang.html#dgettext/3","title":"IsoLang.dgettext/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dgettext_noop/2 .","ref":"IsoLang.html#dgettext_noop/2","title":"IsoLang.dgettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dngettext/5 .","ref":"IsoLang.html#dngettext/5","title":"IsoLang.dngettext/5","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dngettext_noop/3 .","ref":"IsoLang.html#dngettext_noop/3","title":"IsoLang.dngettext_noop/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dpgettext/4 .","ref":"IsoLang.html#dpgettext/4","title":"IsoLang.dpgettext/4","type":"macro"},{"doc":"","ref":"IsoLang.html#dpgettext_noop/3","title":"IsoLang.dpgettext_noop/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dpngettext/6 .","ref":"IsoLang.html#dpngettext/6","title":"IsoLang.dpngettext/6","type":"macro"},{"doc":"","ref":"IsoLang.html#dpngettext_noop/4","title":"IsoLang.dpngettext_noop/4","type":"macro"},{"doc":"Searches for matching languages using a case-insensitive query string Options :by specifies which struct field to be used in the search. One of :alpha2 , :alpha3b , :alpha3t , :name . Default: :name Examples iex&gt; IsoLang . find ( &quot;eng&quot; ) { :ok , [ % IsoLang { alpha2 : &quot;&quot; , alpha3b : &quot;ang&quot; , alpha3t : &quot;&quot; , name : &quot;English, Old (ca.450-1100)&quot; , native_name : nil } , % IsoLang { alpha2 : &quot;bn&quot; , alpha3b : &quot;ben&quot; , alpha3t : &quot;&quot; , name : &quot;Bengali&quot; , native_name : &quot;বাংলা&quot; } , # ... etc... ] }","ref":"IsoLang.html#find/2","title":"IsoLang.find/2","type":"function"},{"doc":"As find/2 , but raises on error","ref":"IsoLang.html#find!/2","title":"IsoLang.find!/2","type":"function"},{"doc":"Gets a single language struct identified by a field. If the :by field is not specified, fields are checked in the following order: :alpha2 :alpha3b :alpha3t :name Keep in mind that the :alpha2 (2-character codes) and :alpha3b (3-character codes) are the most common -- not every language defines a :alpha3t code. Options :by specifies which struct field to be used in the search. One of :alpha2 , :alpha3b , :alpha3t , :name . (optional; default will examine all fields for a match in the order indicated above) Examples iex&gt; IsoLang . get ( &quot;de&quot; ) { :ok , % IsoLang { alpha2 : &quot;de&quot; , alpha3b : &quot;ger&quot; , alpha3t : &quot;deu&quot; , name : &quot;German&quot; , native_name : &quot;Deutsch&quot; } }","ref":"IsoLang.html#get/2","title":"IsoLang.get/2","type":"function"},{"doc":"As get/2 , but raises on error","ref":"IsoLang.html#get!/2","title":"IsoLang.get!/2","type":"function"},{"doc":"Callback implementation for Gettext.Backend.gettext/2 .","ref":"IsoLang.html#gettext/2","title":"IsoLang.gettext/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext_comment/1 .","ref":"IsoLang.html#gettext_comment/1","title":"IsoLang.gettext_comment/1","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext_noop/1 .","ref":"IsoLang.html#gettext_noop/1","title":"IsoLang.gettext_noop/1","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_bindings/2 .","ref":"IsoLang.html#handle_missing_bindings/2","title":"IsoLang.handle_missing_bindings/2","type":"function"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_plural_translation/7 .","ref":"IsoLang.html#handle_missing_plural_translation/7","title":"IsoLang.handle_missing_plural_translation/7","type":"function"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_translation/5 .","ref":"IsoLang.html#handle_missing_translation/5","title":"IsoLang.handle_missing_translation/5","type":"function"},{"doc":"","ref":"IsoLang.html#lgettext/5","title":"IsoLang.lgettext/5","type":"function"},{"doc":"","ref":"IsoLang.html#lngettext/7","title":"IsoLang.lngettext/7","type":"function"},{"doc":"Callback implementation for Gettext.Backend.ngettext/4 .","ref":"IsoLang.html#ngettext/4","title":"IsoLang.ngettext/4","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.ngettext_noop/2 .","ref":"IsoLang.html#ngettext_noop/2","title":"IsoLang.ngettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.pgettext/3 .","ref":"IsoLang.html#pgettext/3","title":"IsoLang.pgettext/3","type":"macro"},{"doc":"","ref":"IsoLang.html#pgettext_noop/2","title":"IsoLang.pgettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.pngettext/5 .","ref":"IsoLang.html#pngettext/5","title":"IsoLang.pngettext/5","type":"macro"},{"doc":"","ref":"IsoLang.html#pngettext_noop/3","title":"IsoLang.pngettext_noop/3","type":"macro"},{"doc":"","ref":"IsoLang.html#t:t/0","title":"IsoLang.t/0","type":"type"},{"doc":"Builds list of language codes at compile-time. Data sourced from https://datahub.io/core/language-codes#resource-language-codes-full Native language names adapted from https://github.com/meikidd/iso-639-1/blob/master/src/data.js","ref":"IsoLang.Data.html","title":"IsoLang.Data","type":"module"},{"doc":"","ref":"IsoLang.Data.html#all/1","title":"IsoLang.Data.all/1","type":"function"},{"doc":"IsoLang is a package for converting between ISO-639-1, ISO-639-2T, ISO-639-2B codes and the human readable name.","ref":"readme.html","title":"IsoLang","type":"extras"},{"doc":"iex&gt; IsoLang . all ( ) [ % IsoLang { alpha2 : &quot;aa&quot; , alpha3b : &quot;aar&quot; , alpha3t : &quot;&quot; , name : &quot;Afar&quot; , native_name : &quot;Afaraf&quot; } , % IsoLang { alpha2 : &quot;ab&quot; , alpha3b : &quot;abk&quot; , alpha3t : &quot;&quot; , name : &quot;Abkhazian&quot; , native_name : &quot;аҧсуа бызшәа&quot; } , # ... etc... ] # To get a single language, use `IsoLang.get/2` or its `!` counterpart. # This will seek a match by examining the attributes `:alpha2`, `:alpha3b`, # `:alpha3t`, `:name` in that order: iex&gt; IsoLang . get ( &quot;de&quot; ) { :ok , % IsoLang { alpha2 : &quot;de&quot; , alpha3b : &quot;ger&quot; , alpha3t : &quot;deu&quot; , name : &quot;German&quot; , native_name : &quot;Deutsch&quot; } } # Or to search just a single field, include the `:by` argument (capitalization matters): iex(1)&gt; IsoLang . get ( &quot;French&quot; ) { :ok , % IsoLang { alpha2 : &quot;fr&quot; , alpha3b : &quot;fre&quot; , alpha3t : &quot;fra&quot; , name : &quot;French&quot; , native_name : &quot;Français&quot; } } Or search for matching languages using IsoLang.find/2 : iex&gt; IsoLang . find ( &quot;eng&quot; ) { :ok , [ % IsoLang { alpha2 : &quot;bn&quot; , alpha3b : &quot;ben&quot; , alpha3t : &quot;&quot; , name : &quot;Bengali&quot; } , % IsoLang { alpha2 : &quot;en&quot; , alpha3b : &quot;eng&quot; , alpha3t : &quot;&quot; , name : &quot;English&quot; } ] } The native_name s of the languages are translated via gettext : if you you need to display the names of languages in a specific language, you may add a dedicated .po file.","ref":"readme.html#usage","title":"IsoLang - Usage","type":"extras"},{"doc":"def deps do [ { :iso_lang , &quot;~&gt; 0.3.1&quot; } ] end","ref":"readme.html#installation","title":"IsoLang - Installation","type":"extras"},{"doc":"https://en.wikipedia.org/wiki/IETF_language_tag https://tools.ietf.org/search/bcp47 https://datahub.io/core/language-codes#resource-language-codes-full","ref":"readme.html#see-also","title":"IsoLang - See Also","type":"extras"},{"doc":"Quick reference for using IsoLang .","ref":"cheatsheet.html","title":"IsoLang Cheatsheet","type":"extras"},{"doc":"Specify :alpha2 if you want to lookup by the 2-character code: iex&gt; IsoLang . get ( &quot;de&quot; , by : :alpha2 ) { :ok , % IsoLang { alpha2 : &quot;de&quot; , alpha3b : &quot;ger&quot; , alpha3t : &quot;deu&quot; , name : &quot;German&quot; , native_name : &quot;Deutsch&quot; } } Specify :alpha3b if you want to lookup a language by the &quot;common&quot; 3-character code: iex&gt; IsoLang . get ( &quot;eng&quot; , by : :alpha3b ) { :ok , % IsoLang { alpha2 : &quot;en&quot; , alpha3b : &quot;eng&quot; , alpha3t : &quot;&quot; , name : &quot;English&quot; , native_name : &quot;English&quot; } } Some languages are also identified by an :alpha3t 3-character code, but these are somewhat rare.","ref":"cheatsheet.html#lookup-a-single-language","title":"IsoLang Cheatsheet - Lookup a Single Language","type":"extras"},{"doc":"If you don't have a unique identifier, use IsoLang.find/2 . By default, the field to be searched will be the :name field. This will perform a case-insensitive search of all available languages. iex&gt; IsoLang . find ( &quot;eng&quot; , by : :name ) { :ok , [ % IsoLang { alpha2 : &quot;&quot; , alpha3b : &quot;ang&quot; , alpha3t : &quot;&quot; , name : &quot;English, Old (ca.450-1100)&quot; , native_name : nil } , % IsoLang { alpha2 : &quot;bn&quot; , alpha3b : &quot;ben&quot; , alpha3t : &quot;&quot; , name : &quot;Bengali&quot; , native_name : &quot;বাংলা&quot; } , % IsoLang { alpha2 : &quot;&quot; , alpha3b : &quot;cpe&quot; , alpha3t : &quot;&quot; , name : &quot;Creoles and pidgins, English based&quot; , native_name : nil } , % IsoLang { alpha2 : &quot;en&quot; , alpha3b : &quot;eng&quot; , alpha3t : &quot;&quot; , name : &quot;English&quot; , native_name : &quot;English&quot; } , % IsoLang { alpha2 : &quot;&quot; , alpha3b : &quot;enm&quot; , alpha3t : &quot;&quot; , name : &quot;English, Middle (1100-1500)&quot; , native_name : nil } ] }","ref":"cheatsheet.html#search-languages","title":"IsoLang Cheatsheet - Search Languages","type":"extras"},{"doc":"The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Adds CHANGELOG Defines @external_resource for IsoLang.Data to link CSV asset Updates examples in @doc blocks Updates dependencies to latest","ref":"changelog.html#v0-3-1","title":"Changelog - v0.3.1","type":"extras"},{"doc":"The beforetimes...","ref":"changelog.html#previous-versions","title":"Changelog - previous versions","type":"extras"}]